<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.0
 *
 * Copyright (C) 2006-2014  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], "inc.php");
if ($pos === FALSE)
    $ok_inc = TRUE;
else
    $ok_inc = FALSE;
if ($ok_inc == FALSE) header("Location: ../index.php");

include_once("../inc/fic_droits.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../classes/ezSQL/shared/ez_sql_core.php");
include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
include_once("../inc/func_sql.inc.php");
Archivelog(@$_SESSION["code_log"]);
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$titre = @$_POST["titre"];
$td = @$_POST["td"];

$code = str_majuscules(@$_POST["code"]);
$desc = str_majuscules(@$_POST["desc"]);
$jourd1 = @$_POST["jourd1"];
$jourd2 = @$_POST["jourd2"];
$nduree = @$_POST["nduree"];
$tduree = @$_POST["tduree"];
$val = @$_POST["valide"];
if ($val == 1)
    $valide = TRUE;
else
    $valide = FALSE;

$retourliste = TRUE;

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);
switch ($td) {
    // Ajout de la fiche période
    case "add" :
        $rech = "SELECT COUNT(*) FROM `" . TBPERLOC . "` WHERE `perloc_code` = '" . $db->escape($code) . "'";
        $nbres = $db->get_var($rech);
        if ($nbres == 0) {
            $rech = "INSERT INTO `" . TBPERLOC . "` (perloc_code,perloc_desc,perloc_jourd1,perloc_jourd2,";
            $rech .= "perloc_nduree,perloc_tduree,perloc_valide)";
            $rech .= " VALUES ('" . $db->escape($code) . "','" . $db->escape($desc) . "','$jourd1','$jourd2','$nduree','$tduree','$valide')";
            $db->query($rech);
            $msg = _("Fiche ajoutée");
        } else {
            $msg = _("Ce code existe déjà");
            $retourliste = FALSE;
        }
        break;

    // MAJ de la fiche période
    case "edit" :

        // Vérifie si utilisé dans un barème
        if (exist_perloc_in_barloc($code, FALSE) == TRUE) {
            $msg = "Cette période est utilisée dans un barême de location.";
            $retourliste = FALSE;
        } else {
            // MAJ de la fiche période
            $rech = "UPDATE `" . TBPERLOC . "` SET `perloc_code`='" . $db->escape($code) . "', `perloc_desc`='" . $db->escape($desc) . "', `perloc_jourd1`='" . $jourd1 . "',";
            $rech .= " `perloc_jourd2`='" . $jourd2 . "',";
            $rech .= " `perloc_nduree`='" . $nduree . "', `perloc_tduree`='" . $tduree . "', `perloc_valide`='" . $valide . "'";
            $rech .= " WHERE `perloc_code` = '" . $db->escape($code) . "'";
            $db->query($rech);

            $msg = _("Fiche modifiée");
            $retourliste = TRUE;
        }
        break;

    // Suppression de la fiche période
    case "del" :
        // Vérifie si utilisé dans un barème
        if (exist_perloc_in_barloc($code, FALSE) == TRUE) {
            $msg = "Cette période est utilisée dans un barême de location.";
            $retourliste = FALSE;
        } else {
            // SUPPRESSION de la fiche période
            $rech = "DELETE FROM `" . TBPERLOC . "` WHERE `perloc_code` = '" . $db->escape($code) . "'";
            $db->query($rech);

            $msg = _("Fiche supprimée");
        }
        break;

    default :
        break;
}
$db->disconnect();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?PHP echo _("ESPACE PRIVE"); ?> : <?PHP echo _("Fiche Période de Location"); ?></title>

    <?PHP include_once("../inc/header.inc.php"); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>

<?php include_once("../inc/entete.inc.php"); ?>

<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>

<p align="center">&nbsp;</p>
<?PHP
if ($retourliste == FALSE) {
    exec_func_js("warn_txt('" . str_escape($msg) . "')");
    aff_ret_idx_man($td, "perloc_lst.php?ta=m", _("Retour à la liste"), TRUE);
} else
    pop_ret_auto($msg, 'ok', "perloc_lst.php?ta=m");
include_once("pied.php");
?>
</body>
</html>